//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "xx"
#property link      "website"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Silver
#property indicator_color2 MediumBlue
#property indicator_color3 Green

extern int fastATRperiod = 1;
extern int slowATRperiod = 60;
extern double slowATRmultiplier = 3;
extern int alertSleepMins = 3;


//---- buffers
double fastATR[];
double slowATR[];
double multipliedATR[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,fastATR);
	SetIndexLabel(0,"fastATR");

   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,slowATR);
   SetIndexLabel(1,"slowATR");

   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,2,NULL);
   SetIndexBuffer(2,multipliedATR);
   SetIndexLabel(2,"multipliedATR");

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
   {
     int counted_bars = IndicatorCounted();
   
     int CalculateBars = Bars - counted_bars;
   
   for(int Count = Bars; Count >= 0; Count--)
	  {
  	      fastATR[Count] = iATR(NULL,0,fastATRperiod,Count);
  	      
  	      slowATR[Count] = iATR(NULL,0,slowATRperiod,Count);

  	      multipliedATR[Count] = ((iATR(NULL,0,slowATRperiod,Count)) * slowATRmultiplier);
	  }

//---- begin alert stuff
	string Pair = Symbol();
   double ATRfast = iATR(NULL, 0, fastATRperiod, 0);
   double ATRslow = iATR(NULL, 0, slowATRperiod, 0);
   double MilliSex = (alertSleepMins * 60000);

   bool CheckOncePerBar = true;
   datetime CurrentTimeStamp;
	   
            if(ATRfast >= (ATRslow * slowATRmultiplier))
					{
						// Sound Alert
					Alert("Spike on " + Pair + "!");
					Print("Fast = " + ATRfast + ", Slow = " + ATRslow);
					Sleep(MilliSex);
					}
   
//----
   return(0);
  }
//+------------------------------------------------------------------+